Bug 271735 - HTML export of RAW images fails
Summary: HTML export of RAW images fails
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-HTMLGallery (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-26 01:05 UTC by Kevin Gilbert
Modified: 2017-05-04 18:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Gilbert 2011-04-26 01:05:55 UTC
Version:           1.9.0 (using KDE 4.6.2) 
OS:                Linux

Cannot export Canon RAW images to HTML using the latest Digikam / Kipiplugins. The error is:

"Error loading image <path>"

Plugin works for JPG files.

Reproducible: Always

Steps to Reproduce:
Attempt to export a RAW image as HTML



OS: Linux (x86_64) release 2.6.35.12-88.fc14.x86_64
Compiler: gcc
Comment 1 Kevin Gilbert 2011-05-31 04:03:15 UTC
I have done some checking and I think that this is a change in Qt from qt-4.7.1-17 to qt-4.7.2-8. I believe that the call statement

	if( !originalImage.loadFromData( imageData ))

in the module imagegenerationfunctor.cpp fails. I have extracted the code from that module and run it under both versions of Qt - it works in the older version and fails in the newer.
Comment 2 caulier.gilles 2011-06-08 15:10:26 UTC
Git commit 1959b9322e59bae15b24928fca9da6d985212019 by Gilles Caulier.
Committed on 08/06/2011 at 15:09.
Pushed by cgilles into branch 'master'.

support RAW image for HTML export
BUGS: 271735

M  +1    -1    htmlexport/CMakeLists.txt     
M  +127  -108  htmlexport/imagegenerationfunctor.cpp     

http://commits.kde.org/kipi-plugins/1959b9322e59bae15b24928fca9da6d985212019
Comment 3 Kevin Gilbert 2011-06-08 23:35:38 UTC
Thanks for the fix - it's *VERY* much appreciated!!!!
Comment 4 Kevin Gilbert 2011-06-15 11:35:46 UTC
Just applied the patch to the Fedora 15 kipi-plugins-1.9.0-1.fc15.src.rpm . I can confirm that the patch works!!!! :) :) :)

If I ever meet you Gilles, it's my shout!!!!!!!!